Cyberduck Mountain Duck CLI

#2424 closed defect (thirdparty)

'Show hidden files' not working using STAT

Reported by: anonymous Owned by: dkocher
Priority: high Milestone:
Component: ftp Version: 3.0.2
Severity: normal Keywords: hidden files
Cc: Architecture:
Platform:

Description

Since upgrade to Version 3.0.2 (4164) - 'show hidden files' has not worked. On occasion they will show up and disappear again at restart or refresh.

Change History (12)

comment:1 Changed on Aug 12, 2008 at 11:51:09 PM by anonymous

I'm experiencing the same problem. since the upgrade, I can no longer view hidden files

comment:2 Changed on Aug 15, 2008 at 8:23:00 PM by dkocher

  • Component changed from core to ftp
  • Status changed from new to assigned

Please post the transcript from View → Log Drawer.

comment:3 Changed on Aug 17, 2008 at 6:13:16 PM by Dennis

I'm having the exact same problem with 3.0.2.

comment:4 Changed on Aug 19, 2008 at 5:11:31 PM by anonymous

I am also not able to view hidden files, despite the setting being turned on.

220---------- Welcome to Pure-FTPd [privsep] [TLS] ---------- 220-You are user number 170 of 400 allowed. 220-Local time is now 10:09. Server port: 21. 220-This is a private system - No anonymous login 220 You will be disconnected after 15 minutes of inactivity. USER xxxx@… 331 User xxxx@… OK. Password required PASS 230-User xxxx@… has group access to: 18058 230 OK. Current directory is / PWD 257 "/" is your current location NOOP 200 Zzz... STAT /domains/_dev_site/html 213-STAT drwxr-xr-x 2 114463 18058 4096 Aug 19 17:06 cache drwxr-xr-x 6 114463 18058 14336 Aug 19 16:37 css drwxr-xr-x 3 114463 18058 2048 Aug 11 16:50 fckmedia drwxrwxrwx 3 114463 18058 2048 Aug 12 17:51 flash drwxr-xr-x 2 114463 18058 2048 Apr 3 2007 fonts drwxr-xr-x 20 114463 18058 24576 Aug 19 16:35 images -rwxr-xr-x 1 114463 18058 127 Apr 4 2007 index.php drwxr-xr-x 2 114463 18058 6144 Aug 19 16:38 js -rwxr-xr-x 1 114463 18058 17 Apr 4 2007 phpinfo.php drwxr-xr-x 18 114463 18058 2048 Feb 3 2008 templates drwxr-xr-x 2 114463 18058 2048 Apr 9 2007 tooltips drwxr-xr-x 2 114463 18058 2048 Apr 3 2007 windowfiles 213 End.

comment:5 Changed on Aug 20, 2008 at 7:37:17 AM by dkocher

  • Milestone changed from 3.1 to 3.0.3
  • Priority changed from normal to high
  • Summary changed from 'Show hidden files' not working to 'Show hidden files' not working using STAT

comment:6 Changed on Aug 31, 2008 at 1:00:53 PM by dkocher

Above comment formatted. The issue is that some server do not list hidden files for STAT but only for LIST.

220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 170 of 400 allowed.
220-Local time is now 10:09. Server port: 21.
220-This is a private system - No anonymous login
220 You will be disconnected after 15 minutes of inactivity.
USER xxxx@xxxx.com
331 User xxxx@xxxx.com OK. Password required
PASS ********
230-User xxxx@xxxx.com has group access to:  18058
230 OK. Current directory is /
PWD
257 "/" is your current location
NOOP
200 Zzz...
STAT /domains/_dev_site/html
213-STAT
drwxr-xr-x    2 114463   18058        4096 Aug 19 17:06 cache
drwxr-xr-x    6 114463   18058       14336 Aug 19 16:37 css
drwxr-xr-x    3 114463   18058        2048 Aug 11 16:50 fckmedia
drwxrwxrwx    3 114463   18058        2048 Aug 12 17:51 flash
drwxr-xr-x    2 114463   18058        2048 Apr  3  2007 fonts
drwxr-xr-x   20 114463   18058       24576 Aug 19 16:35 images
-rwxr-xr-x    1 114463   18058         127 Apr  4  2007 index.php
drwxr-xr-x    2 114463   18058        6144 Aug 19 16:38 js
-rwxr-xr-x    1 114463   18058          17 Apr  4  2007 phpinfo.php
drwxr-xr-x   18 114463   18058        2048 Feb  3  2008 templates
drwxr-xr-x    2 114463   18058        2048 Apr  9  2007 tooltips
drwxr-xr-x    2 114463   18058        2048 Apr  3  2007 windowfiles
213 End.

comment:7 Changed on Sep 10, 2008 at 8:05:03 PM by dkocher

  • Milestone 3.0.3 deleted

For now, use the workaround described in help/en/problems? (Disable STAT use). I cannot really fix this as there is no way to reliably detect if a server is omitting files starting with ..

comment:8 Changed on Dec 11, 2008 at 6:20:40 PM by PB

  • Keywords hidden files added
  • Severity changed from normal to major

I've been chasing an answer to this all over the web. Can anyone explain in plain English why hidden files showed in previous versions but they don't in 3.0.3? Also, Fetch and Transmit can see the files so why can't Cyberduck? Is this going to be fixed. If not, let me know so I can move another program. Thanks.

comment:9 Changed on Dec 12, 2008 at 1:50:20 AM by PB

  • Severity changed from major to normal

described in help/en/problems#ListingdirectoriesfailsorshowsnocontentFTP (Disable STAT use).

OK, I guess I overreacted. The terminal solution worked. I'm not too comfortable with using terminal but it was as easy and cut and paste so I really appreciate it. Thank you.

comment:10 Changed on Jul 20, 2009 at 9:30:41 PM by dkocher

The commands are tried in the folowing order and when one fails falls back to the next:

  • STAT (needs no additional connection)
  • MLSD
  • LIST -a (with -a flag because some servers do not return . files otherwise)
  • LIST

So during trial and error to find out which command is not working for your server, best follow that order with the hidden preferences as described in help/en/problems?.

comment:11 Changed on Nov 13, 2009 at 9:43:52 PM by dkocher

#3321 closed as duplicate.

comment:12 Changed on Aug 2, 2010 at 3:45:10 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software